netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
mac_cyrillic.c File Reference
`#include <stdlib.h>`
`#include <arpa/inet.h>`
`#include <atalk/unicode.h>`
`#include "mac_cyrillic.h"`
`#include "generic_mb.h"`

## Functions
static size_t | mac_cyrillic_pull (void *, char **, size_t *, char **, size_t *)
static size_t | mac_cyrillic_push (void *, char **, size_t *, char **, size_t *)

## Variables
struct charset_functions | charset_mac_cyrillic

## Function Documentation

## ◆ mac_cyrillic_pull()

size_t mac_cyrillic_pull | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## ◆ mac_cyrillic_push()

size_t mac_cyrillic_push | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## Variable Documentation

## ◆ charset_mac_cyrillic

struct charset_functions charset_mac_cyrillic

Initial value:
= {
"MAC_CYRILLIC",
7,
mac_cyrillic_pull,
mac_cyrillic_push,
CHARSET_CLIENT | CHARSET_MULTIBYTE,
NULL,
NULL,
NULL
}
mac_cyrillic_push
static size_t mac_cyrillic_push(void *, char **, size_t *, char **, size_t *)
Definition mac_cyrillic.c:55
mac_cyrillic_pull
static size_t mac_cyrillic_pull(void *, char **, size_t *, char **, size_t *)
Definition mac_cyrillic.c:64
CHARSET_MULTIBYTE
#define CHARSET_MULTIBYTE
Definition unicode.h:32
CHARSET_CLIENT
#define CHARSET_CLIENT
Definition unicode.h:28
NULL
#define NULL
Definition utf8util.c:47